Steam for Linux

Steam for Linux

FrigoHat Feb 12, 2014 @ 5:48am
Segfault on Steam Linux installation
I tried to install Steam Linux on my Ubuntu 13.10 64 bit installation (NVIDIA 331.38 driver), but after the installation of the .deb from the Steam site, i get this error:

alessandro@alessandro-pc:~$ steam
Running Steam on ubuntu 13.10 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0_client)
/home/alessandro/.local/share/Steam/steam.sh: riga 755: 4160 Errore di segmentazione (core dump creato) $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
mv: impossibile eseguire stat di "/home/alessandro/.steam/registry.vdf": File o directory non esistente
Installing bootstrap /home/alessandro/.local/share/Steam/bootstrap.tar.xz
Reset complete!
Restarting Steam by request...
Running Steam on ubuntu 13.10 64-bit
STEAM_RUNTIME has been set by the user to: /home/alessandro/.local/share/Steam/ubuntu12_32/steam-runtime
Installing breakpad exception handler for appid(steam)/version(0_client)
/home/alessandro/.local/share/Steam/steam.sh: riga 755: 4598 Errore di segmentazione (core dump creato) $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"

Help me please!
< >
Showing 1-4 of 4 comments
Dusk of Oolacile Feb 14, 2014 @ 6:58am 
Try an older nvidia driver which is known to work.
Pietas Feb 17, 2014 @ 9:20pm 
it works fine for me using those drivers with a backported version of the nvidia-prime libraries from the beta version of Ubuntu. You could search for that; it is beta software though, so I can't necessarily say that it won't make your computer explode or whatever a bad driver is capable of.
Raymond Mar 2, 2014 @ 10:15am 
I am having same issue since I upgraded from Ubuntu 13.04 to 13.10 64-bit with nvidia 331.20 driver (x-swat ppa), the error message is similar that segmentation fault on line 755. I was able to run Steam successfully in 13.04 (I forgot the nvidia version at that time).

LOLCAT / AM_NOOB_AMA, May I know the exact nvidia driver version which is known to work? Much appreciated if you can provide the package name and url if available.

Thanks.
B_Thax Mar 2, 2014 @ 10:37am 
I got the same error using an ATI card (6870) and the latest ATI drivers 13.35.5.
< >
Showing 1-4 of 4 comments
Per page: 15 30 50

Date Posted: Feb 12, 2014 @ 5:48am
Posts: 4